"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var taro_1 = require("@tarojs/taro");

var shared_1 = require("@taro-hooks/shared");

var useMount = function useMount(fn) {
  if (process.env.NODE_ENV === 'development') {
    if (!(0, shared_1.isFunction)(fn)) {
      console.error("useMount: parameter `fn` expected to be a function, but got \"" + typeof fn + "\".");
    }
  }

  (0, taro_1.useTaroEffect)(function () {
    fn == null ? void 0 : fn();
  }, []);
};

exports["default"] = useMount;