"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var taro_1 = require("@tarojs/taro");

var shared_1 = require("@taro-hooks/shared");

var utils_1 = require("../utils");

function useCreation(factory, deps) {
  var creation = (0, taro_1.useTaroRef)({
    deps: deps,
    obj: undefined,
    initialized: false
  }, // @ts-ignore
  true);

  if ((0, shared_1.escapeState)(creation.current).initialized === false || !(0, utils_1.depsAreSame)((0, shared_1.escapeState)(creation.current).deps, deps)) {
    creation.current = {
      deps: deps,
      obj: factory(),
      initialized: true
    };
  }

  return (0, shared_1.escapeState)(creation.current).obj;
}

exports["default"] = useCreation;