import type { DebounceOptions } from '../useDebounce/debounceOptions';
declare type noop = (...args: any) => any;
declare function useDebounceFn<T extends noop>(fn: T, options?: DebounceOptions): {
    run: T;
    cancel: any;
    flush: any;
};
export default useDebounceFn;
